Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 468104 - kde-base/plasma-workspace-4.10.2 build error with Nepomuk2
Summary: kde-base/plasma-workspace-4.10.2 build error with Nepomuk2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard: fixed in 4.11
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-01 10:01 UTC by Christopher Smith
Modified: 2013-12-03 23:14 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge.info,19.39 KB, text/plain)
2013-05-09 13:22 UTC, Christopher Smith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Smith 2013-05-01 10:01:27 UTC
The ebuild for plasma-workspace-4.10.2 has a conditional dependency (USE=semantic-desktop) on nepomuk-core, but the build itself apparently discovers the presence or absence of nepomuk by itself.  This causes a build failure when an old (<4.10) version of nepomuk is installed but semantic-desktop is disabled so that the ebuild doesn't upgrade it.  Unmerging the outdated nepomuk and nepomuk-core packages and restarting the build succeeds.

If semantic-desktop is disabled, the ebuild should either block on having nepomuk and nepomuk-core installed or tell the plasma-workspace build not to build the nepomuksearchrunner.
Comment 1 Johannes Huber gentoo-dev 2013-05-01 10:56:03 UTC
Please attach build.log and emerge --info.
Comment 2 Michael Palimaka (kensington) gentoo-dev 2013-05-08 13:53:07 UTC
Workaround: USE="-rss"
Comment 3 Michael Palimaka (kensington) gentoo-dev 2013-05-08 15:12:53 UTC
Adding $(cmake-utils_use_find_package semantic-desktop NepomukCore) may work around the issue.

This problem occurs because KdepimLibsConfig.cmake calls find_package(NepomukCore) unconditionally.

kdepimlibs has not supported optional semantic-desktop for some time, and our patches are fragile and difficult to maintain. I propose we provide optional semantic-desktop only where supported by upstream. (Note, I have been told that semantic-desktop features can be disabled easily at runtime.)
Comment 4 Christopher Smith 2013-05-09 13:22:24 UTC
Created attachment 347838 [details]
emerge --info
Comment 5 Christopher Smith 2013-05-09 13:24:24 UTC
I'm sorry, I saw the e-mail while I was away and forgot to follow up.

I'm afraid that I neglected to copy build.log out of PORTAGE_TMPDIR before the successful build clobbered it, but here's my emerge --info.

Regarding the elimination of the semantic-desktop USE flag entirely, this would resolve this bug, but the last time I tried the semantic desktop (4.8), the KDE team's claims that you could disable it were bogus.  Nothing I could do, including .kde symlink twiddling, could keep it from launching a full instance of mysqld to do absolutely nothing useful, even when I got a screenful of complaining notifications.  If this has changed, I'd be quite happy if the flag were removed.
Comment 6 Michael Palimaka (kensington) gentoo-dev 2013-06-01 13:20:49 UTC
This issue will disappear KDE/4.11 since we are removing the semantic-desktop USE flag.
Comment 7 Johannes Huber gentoo-dev 2013-12-03 23:14:00 UTC
Should be fixed since some time